//
//  YazzemDemoAppDelegate.m
//  YazzemDemo
//
//  Created by Mike Cohen on 2/25/10.
//  Copyright 2010 MC Development. All rights reserved.
//

#import "YazzemDemoAppDelegate.h"

@implementation YazzemDemoAppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
	// Insert code here to initialize your application 
    api = [Yazzem Shared];
    NSUserDefaults *def = [NSUserDefaults standardUserDefaults];
    api.password = [def stringForKey:@"password"];
    api.username = [def stringForKey:@"username"];
}

- (void)dealloc
{
    [api release];
    [super dealloc];
}

- (IBAction)login: (id)sender
{
    NSUserDefaults *def = [NSUserDefaults standardUserDefaults];
    [def synchronize];
    api.password = [def stringForKey:@"password"];
    api.username = [def stringForKey:@"username"];
}

- (IBAction)updateStatus: (id)sender
{
    [api status_new: [statusText stringValue]];
}

- (IBAction)createTopic: (id)sender
{
    BOOL isPublic = ([[topicIsPublic cellAtRow:0 column:0] intValue] == 1);

    [api topic_create:[topicName stringValue]
          description:[topicDescription stringValue]
             keywords:[topicKeywords stringValue]
            is_public:isPublic];
}

@end
