//
//  TopicDetailController.h
//  YazzemTouch
//
//  Created by Mike Cohen on 2/26/10.
//  Copyright 2010 MC Development. All rights reserved.
//

#import <UIKit/UIKit.h>

@class YazzemTopic;

@interface TopicDetailController : UIViewController <UITableViewDataSource, UITableViewDelegate>  {
    YazzemTopic *_topic;
    NSMutableArray *_comments;

    IBOutlet UILabel* topicName;
    IBOutlet UILabel* topicDescription;
    IBOutlet UILabel* topicKeywords;
    IBOutlet UILabel* topicDate;
    IBOutlet UILabel* topicUser;
}

@property (retain) YazzemTopic* topic;
@property (retain) NSMutableArray *comments;
@end
