//
//  UpdateViewController.m
//  YazzemTouch
//
//  Created by Mike Cohen on 2/26/10.
//  Copyright 2010 MC Development. All rights reserved.
//

#import "UpdateViewController.h"
#import "StatusDetailController.h"
#import "Yazzem.h"

@implementation UpdateViewController

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

- (IBAction)updateStatus:(id)sender
{
    Yazzem *api = [Yazzem Shared];
    YazzemStatus *status = [api status_new: statusText.text];
    if (nil != status) {
        StatusDetailController *detail = [[StatusDetailController alloc] initWithNibName:@"StatusDetailController" bundle:nil];
        detail.status = status;
        [self.navigationController pushViewController:detail animated:YES];
        [detail release];
    }
}

@end
