//
//  YazzemDemoAppDelegate.h
//  YazzemDemo
//
//  Created by Mike Cohen on 2/25/10.
//  Copyright 2010 MC Development. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Yazzem.h"

@interface YazzemDemoAppDelegate : NSObject <NSApplicationDelegate> {
    NSWindow *window;
    
    Yazzem *api;
    
    IBOutlet id statusText;
    IBOutlet id activityList;
    
    IBOutlet id userNameField;
    IBOutlet id passwordField;
    
    IBOutlet id topicName;
    IBOutlet id topicDescription;
    IBOutlet id topicKeywords;
    IBOutlet id topicIsPublic;
}

@property (assign) IBOutlet NSWindow *window;

- (IBAction)login: (id)sender;
- (IBAction)updateStatus: (id)sender;
- (IBAction)createTopic: (id)sender;

@end
