//
//  LoginViewController.m
//  YazzemTouch
//
//  Created by Mike Cohen on 2/26/10.
//  Copyright 2010 MC Development. All rights reserved.
//

#import "LoginViewController.h"
#import "Yazzem.h"

@implementation LoginViewController

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/* */
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
    NSUserDefaults *def = [NSUserDefaults standardUserDefaults];
    username.text = [def stringForKey:@"username"];
    password.text = [def stringForKey:@"password"];
}
/* */

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)viewWillDisappear:(BOOL)animated {
	[super viewWillDisappear:animated];
    NSUserDefaults *def = [NSUserDefaults standardUserDefaults];
    [def setObject:username.text forKey:@"username"];
    [def setObject:password.text forKey:@"password"];
    [def synchronize];
}


- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

- (IBAction)save:(id)sender
{
    Yazzem *api = [Yazzem Shared];
    api.username = username.text;
    api.password = password.text;
}

@end
